Skip to main content
GET
/
api
/
v1
/
providers
Get Supported Data Providers
curl --request GET \
  --url https://ob.flinksapp.com/api/v1/providers \
  --header 'Authorization: Bearer <token>'
[
  {
    "provider_id": 1000,
    "name": "Flinks Capital",
    "country": "CA",
    "scopes": [
      "ACCOUNT_BASIC",
      "ACCOUNT_DETAILED",
      "ACCOUNT_PAYMENTS",
      "INVESTMENTS",
      "TRANSACTIONS",
      "STATEMENTS",
      "CUSTOMER_CONTACT",
      "CUSTOMER_PERSONAL"
    ]
  }
]
Use the /api/v1/providers endpoint to retrieve a list of all supported Data Providers in the Outbound ecosystem. You may need this information for marketing purposes, or to show your customers who we support. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using the following settings:
  • grant_type: client_credentials
  • client_id: {partner client_id}
  • client_secret: {partner client_secret}
  • scope: client:admin

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Response

Result

provider_id
integer

Unique identifier for the data provider.

name
string

Name of the data provider.

country
string

Country code of the data provider (e.g., CA, US).

scopes
string[]

List of data scopes supported by the data provider (e.g., ACCOUNT_BASIC, ACCOUNT_DETAILED, TRANSACTIONS, STATEMENTS, CUSTOMER_CONTACT, CUSTOMER_PERSONAL, INVESTMENTS, ACCOUNT_PAYMENTS).